org.apache.sling.bgservlets

## Enum JobStatus.State

- java.lang.Object
- - java.lang.Enum<JobStatus.State>
  - - org.apache.sling.bgservlets.JobStatus.State

All Implemented Interfaces:
  Serializable, Comparable<JobStatus.State>

Enclosing interface:
  JobStatus

    public static enum JobStatus.State
    extends Enum<JobStatus.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DONE`
`NEW`
`QUEUED`
`REJECTED`
`RUNNING`
`STOP_REQUESTED`
`STOPPED`
`SUSPEND_REQUESTED`
`SUSPENDED`

### Method Summary

Methods
`static JobStatus.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobStatus.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEW

    public static final JobStatus.State NEW

#### QUEUED

    public static final JobStatus.State QUEUED

#### REJECTED

    public static final JobStatus.State REJECTED

#### RUNNING

    public static final JobStatus.State RUNNING

#### SUSPEND_REQUESTED

    public static final JobStatus.State SUSPEND_REQUESTED

#### SUSPENDED

    public static final JobStatus.State SUSPENDED

#### STOP_REQUESTED

    public static final JobStatus.State STOP_REQUESTED

#### STOPPED

    public static final JobStatus.State STOPPED

#### DONE

    public static final JobStatus.State DONE

### Method Detail

#### values

    public static JobStatus.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JobStatus.State c : JobStatus.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JobStatus.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null